"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var query = require("querystring");
var Message = /** @class */ (function () {
    function Message() {
    }
    Message.parse = function (message) {
        var isObject = function (obj) {
            return obj.constructor === Object;
        };
        var match = message.match(/<xml>[\s\S]*?<\/xml>/g);
        if (match && match.length) {
            return message;
        }
        try {
            // debug
            if (isObject(message)) {
                return message;
            }
            else {
                var json = JSON.parse(message);
                if (Object.keys(json).length > 0) {
                    return json;
                }
                return message;
            }
        }
        catch (ex) {
            var obj = query.parse(message);
            if (Object.keys(obj).length > 0) {
                return obj;
            }
            return message;
        }
    };
    ;
    return Message;
}());
exports.Message = Message;
